VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages

### - m -

- masterTuning : GlobalParameterState
- masterVolume : GlobalParameterState
- max : TrackerProcessor , ShepardProcessor
- maxValue : ScaledParameter
- mBuffer : ADelayProcessor , SyncDelayProcessor
- mBufferPos : ADelayProcessor , SyncDelayProcessor
- mBufferSizeInSamples : SyncDelayProcessor
- mBypass : ADelayProcessor , HostCheckerProcessor
- mBypassProcessor : SyncDelayProcessor
- mBypassProcessorDouble : HostCheckerProcessor
- mBypassProcessorFloat : HostCheckerProcessor
- mChannel : Plug
- mClearOutputNeeded : VoiceProcessor
- mComponent : EventListCheck
- mControllerNum : Plug
- mCurrentExchangeBlock : HostCheckerProcessor
- mCurrentState : HostCheckerProcessor
- mDataBrowserMap : HostCheckerController
- mDataSource : HostCheckerController
- mdec : DX10Processor::VOICE , DX10Processor
- mDelay : ADelayProcessor
- mDelayIndex : SyncDelayProcessor
- mDelayInSamples : SyncDelayProcessor
- mEditFromHost : HostCheckerController
- menv : DX10Processor::VOICE
- mEventLogger : ParameterChangesCheck , ProcessContextCheck , ProcessSetupCheck , EventListCheck
- mGeneratePeaks : HostCheckerProcessor
- mHostCheck : HostCheckerProcessor
- midiCCMapping : Controller
- midiCCParamID : BaseController
- midiLearnParamID : ControllerWithUI
- min : TrackerProcessor
- mInProgress : HostCheckerController
- minValue : ScaledParameter
- mix : BeatBoxProcessor
- mix1 : ComboProcessor
- mix2 : ComboProcessor
- mLastAftertouch : Plug
- mLastBlockMarkerValue : HostCheckerProcessor
- mLastContinuousProjectTimeSamples : HostCheckerProcessor
- mLastController : Plug
- mLastExchangeBlockSendSystemTime : HostCheckerProcessor
- mLastNoteOnId : Plug
- mLastNoteOnPitch : Plug
- mLastNumSamples : HostCheckerProcessor
- mLastPitchBend : Plug
- mLastPolyPressure : Plug
- mLastProgramChange : Plug
- mLastProjectTimeSamples : HostCheckerProcessor
- mLastState : HostCheckerProcessor
- mLatency : HostCheckerProcessor
- mLatencyInEdit : HostCheckerController
- mlev : DX10Processor::VOICE
- mLogEvents : EventLogger , EventLogDataBrowserSource
- mMinimumOfInputBufferCount : HostCheckerProcessor
- mMinimumOfOutputBufferCount : HostCheckerProcessor
- mNoteIDs : EventListCheck
- mNotePitches : EventListCheck
- mNumKeyswitch : HostCheckerController
- mNumNoteOns : HostCheckerProcessor
- mod : DubDelayProcessor , StereoProcessor
- mod0 : DX10Processor::VOICE
- mod1 : DX10Processor::VOICE
- mode : JX10Processor , ComboProcessor , LoudnessProcessor , DynamicsProcessor , ShepardProcessor , SplitterProcessor , TestToneProcessor , TrackerProcessor , DegradeProcessor
- modmix : DX10Processor
- modwhl : DX10Processor , EPianoProcessor , JX10Processor
- mParameterIds : ParameterChangesCheck
- mPlugInterfaceSupport : Validator
- mPolyPressureKey : Plug
- mPrefetchableMode : Plug
- mProcessingLoad : HostCheckerProcessor
- mProgressID : HostCheckerController
- mProgressTimer : HostCheckerController
- mrel : DX10Processor
- mSampleRate : ProcessContextCheck
- mScoreMap : HostCheckerController
- mSetActiveCalled : HostCheckerProcessor
- mSetup : EventListCheck , ProcessSetupCheck
- msgQueue : HostCheckerProcessor
- msgQueueLock : HostCheckerProcessor
- mswap : MultiBandProcessor
- mTempo : SyncDelayProcessor
- mTempUsedId : ParameterChangesCheck
- muff : PianoProcessor , EPianoProcessor
- muffvel : PianoProcessor , EPianoProcessor
- multiplier : LogScaleParameter< T >
- MW : DX10Processor
- mWantedLatency : HostCheckerController , HostCheckerProcessor

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.